Loading...
Searching...
No Matches
omDebugTrack.c File Reference
`#include <limits.h>`
`#include <string.h>`
`#include "omConfig.h"`
`#include "omDerivedConfig.h"`
`#include "omalloc.h"`

Go to the source code of this file.

## Functions

int | omIsInKeptAddrList (void *addr)

## Function Documentation

## omIsInKeptAddrList()

int omIsInKeptAddrList | ( | void * | addr | ) |

Definition at line 743 of file omDebugTrack.c.

{
void* ptr = om_KeptAddr;
int ret = 0;
#ifdef OM_HAVE_TRACK
if (omIsTrackAddr(addr))
addr = omOutAddr_2_TrackAddr(addr);
#endif
if (om_LastKeptAddr != NULL)
*((void**) om_LastKeptAddr) = om_AlwaysKeptAddrs;
while (ptr != NULL)
{
if (ptr == addr)
{
ret = 1; break;
}
ptr = *((void**) ptr);
}
if (om_LastKeptAddr != NULL)
*((void**) om_LastKeptAddr) = NULL;
return ret;
}
om_AlwaysKeptAddrs
void * om_AlwaysKeptAddrs
Definition omDebug.c:31
om_KeptAddr
void * om_KeptAddr
Definition omDebug.c:28
om_LastKeptAddr
void * om_LastKeptAddr
Definition omDebug.c:30
omIsTrackAddr
#define omIsTrackAddr(addr)
Definition omDebug.h:12
NULL
#define NULL
Definition omList.c:12